import { z } from "zod"

import { imageSchema } from "@/server/routers/hotels/schemas/image"

const imagesSchema = z
  .array(imageSchema)
  .nullish()
  .transform((arr) => (arr ? arr.filter(Boolean) : []))

export const gallerySchema = z.object({
  heroImages: imagesSchema,
  smallerImages: imagesSchema,
})
